| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Contact::InfoFields Class Reference
Connection proxies

The Contact::InfoFields class represents the information of a Telepathy contact. More...

`#include <TelepathyQt/Contact>`

## Public Member Functions

| InfoFields ()
| InfoFields (const ContactInfoFieldList &fields)
| InfoFields (const InfoFields &other)
| ~InfoFields ()
bool | isValid () const
InfoFields & | operator= (const InfoFields &other)
ContactInfoFieldList | fields (const QString &name) const
ContactInfoFieldList | allFields () const

## Detailed Description

The Contact::InfoFields class represents the information of a Telepathy contact.

## Constructor & Destructor Documentation

Tp::Contact::InfoFields::InfoFields | ( |  | ) |

Constructs a new invalid InfoFields instance.

Tp::Contact::InfoFields::InfoFields | ( | const ContactInfoFieldList & | allFields | ) |

Construct a info fields instance with the given fields. The instance will indicate that it is valid.

Tp::Contact::InfoFields::InfoFields | ( | const InfoFields & | other | ) |

Copy constructor.

Tp::Contact::InfoFields::~InfoFields | ( |  | ) |

Class destructor.

## Member Function Documentation

bool Tp::Contact::InfoFields::isValid | ( |  | ) | const

inline

Contact::InfoFields & Tp::Contact::InfoFields::operator= | ( | const InfoFields & | other | ) |

Assignment operator.

ContactInfoFieldList Tp::Contact::InfoFields::fields | ( | const QString & | name | ) | const

Return a list containing all fields whose name are name.

Parameters

  name | The name used to match the fields.

Returns
  A list of ContactInfoField objects.

ContactInfoFieldList Tp::Contact::InfoFields::allFields | ( |  | ) | const

Return a list containing all fields describing the contact information.

Returns
  The contact information as a list of ContactInfoField objects.